#include "mainwindow.h"
#include "ui_mainwindow.h"
//#include <stdio.h>
#include <QDebug>
#include <QString>

int a = 20;                     // global variable, int is used for value's.
char b[100] = "test for c";     // char is used for text. [100] means reserve memory for 100 character sign's.
int c;

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_local_variable_clicked()
{
    int x = 10;                                                 //local variable working inside this button.
    qDebug() << x;                                              //Qdebug will print the value of x in console, see .pro file "CONFIG += c++11 console" for adding the console output
    ui->local_variable_label->setText(QString::number(x));
}

void MainWindow::on_global_variable_clicked()
{
    qDebug() << a;
    ui->global_variable_label->setText(QString::number(a));
}

void MainWindow::on_lineEdit_variable_local_textChanged(const QString &arg1)
{
    QString z = ui->lineEdit_variable_local->text();           //z variable is local declared.
    qDebug() << z;
    ui->user_input_local_variable_label->setText(z);
}

void MainWindow::on_lineEdit_variable_global_textChanged(const QString &arg1)
{
    QString c = ui->lineEdit_variable_global->text();
    qDebug() << c;
    ui->user_input_global_variable_label->setText(c);
}
